### Method

# Clutter PathConstraint set_path

#### Declaration [src]

    void
    clutter_path_constraint_set_path (
      ClutterPathConstraint* constraint,
      ClutterPath* path
    )

#### Description [src]

Sets the `path` to be followed by the `ClutterPathConstraint`.

The `constraint` will take ownership of the `ClutterPath` passed to this function.

Sets property | `Clutter.PathConstraint:path`

#### Parameters

`path`

  Type: `ClutterPath`

  A `ClutterPath`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.